List downstream for a node
GET
/v1/lineage/nodes/{type}/{id}/downstreamcurl -X GET 'https://api.embodiflow.io/v1/lineage/nodes/{type}/{id}/downstream' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- typestring必填
- idstring必填
查询参数
- depthnumber
- limitnumber
响应
Success
- dataobject必填
- rootTypestring必填
- rootIdstring必填
- nodesarray<LineageStorageObjectNodeDto>必填
- edgesarray<LineageEdgeSummaryDto>必填
- truncatedone of必填
响应示例
{
"data": {
"rootType": "string",
"rootId": "string",
"nodes": [
{
"id": "string",
"storageTier": "string",
"objectKey": "string",
"checksum": "string"
}
],
"edges": [
{
"id": "string",
"tenantId": "string",
"fromObjectId": "string",
"toObjectId": "string",
"edgeKind": "string",
"workflowRunId": "string",
"metadata": {},
"createdAt": "string"
}
],
"truncated": false
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1